<?php
session_start();
require("../database/dbConection.php");
$idUsuarioLogado    = $_SESSION['idUsuarioLogado'];
$dataHoraImpressao  = date("d/m/Y H:i");
$tamanhoEtiqueta    = [79,150];

ob_start();


echo "<table class='tb_protocolo' style='margin-top:-15px'>
  <tr>
    <td class='dados_marcacao' style='text-align:justify'><br>
      <font style='font-size:10pt; font-weight: bold;'>HORÁRIOS:</font><br>
      <font style='font-size:9pt; font-weight: normal;'>
        <b>1.)</b> Agendamentos cujo horário de atendimento é das 07h. às 12h.<br>
        &nbsp;&nbsp;- O embarque é às <b>06h.</b> no ponto de escolhido no momento da retirada da autorizaçã/marcação.
      </font>
      <br><br>
      <font style='font-size:9pt; font-weight: normal;'>
        <b>2.)</b> Agendamentos cujo horário de atendimento é das 13h. às 17h.<br>
        &nbsp;&nbsp;- O embarque é às <b>12h.</b> no ponto de escolhido no momento da retirada da autorizaçã/marcação.
      </font>
      <br><br>
      <font style='font-size:10pt; font-weight: bold;'>OBSERVAÇÕES:</font><br>
      <font style='font-size:9pt; font-weight: normal;'>
        <b>O embarque só pode ser realizado no local escolhido no ato da retirada da autorização.</b><br>
        O acompanhante deve apresentar o documento de identificação com foto e original para o embarque.
      </font><br><br>
      <font style='font-size:10pt; font-weight: bold;'>DOCUMENTOS NECESÁRIOS:</font><br>
      <font style='font-size:9pt; font-weight: bold;'>
        <table style='width:100%; font-size:10pt'>
          <tr>
            <td>1.) - </td>
            <td>Documento de identificação original com foto.</td>
          </tr>
          <tr>
            <td>2.) - </td>
            <td>Cartão SUS.</td>
          </tr>
          <tr>
            <td>3.) - </td>
            <td>Requisição/Solicitação médica.</td>
          </tr>
          <tr>
            <td>4.) - </td>
            <td>Marcação/Autorização - (impresso ou no aparelho celular).</td>
          </tr>
        </table>
      </font>      
    </td>
  </tr>
</table>";


require_once '../../lib_sistemas/mpdf8/vendor/autoload.php';
//require_once '../../lib_sistemas/mpdf8/autoload.php';
$mpdf = new \Mpdf\Mpdf([
	'margin_left'   => 2,
	'margin_right'  => 2,
	'margin_top'    => 12,
	'margin_header' => 2.5,  
  'margin_bottom' => 2.5,
  'mode'          => 'utf-8',
  'default_font'  => 'tahoma',
  'format'        => $tamanhoEtiqueta
]);

$html = ob_get_clean();
$mpdf->mirrorMargins = 1;
$stylesheet = file_get_contents('relatorios/relatorio.css');
$mpdf->WriteHTML($stylesheet,1);  

$header = "
  <table align='center' class='tb_protocolo'>
    <tr>
		  <td class='titulo_protocolo'>
        ORIENTAÇÕES PARA EMBARQUE NO ÔNIBUS DA POLICLÍNICA
      </td>
    </tr>
    </table>";

$headerE = $header;
$footer = "<div style='font-size:5pt'>|$dataHoraImpressao|</div>";
$footerE = $footer;

$mpdf->SetHTMLHeader($header);
$mpdf->SetHTMLHeader($headerE,'E');
$mpdf->SetFooter($footer);
$mpdf->SetFooter($footerE,'E');
$mpdf->SetTitle('Orientações para Embarque');
$mpdf->WriteHTML($html);
$mpdf->Output("OrientacoesEmbarque.pdf",'I');
exit;

?>